Bug 115460 - BurnInStyleSheetAttributes not working correctly when pasted as Drawing
Summary: BurnInStyleSheetAttributes not working correctly when pasted as Drawing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2018-02-05 12:41 UTC by Heiko Tietze
Modified: 2020-05-11 15:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example (8.14 KB, application/vnd.oasis.opendocument.graphics)
2018-02-05 12:41 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-02-05 12:41:44 UTC
Created attachment 139597 [details]
Example

Pasting objects with styles into another document don't keeps the styles. The attached example contains a rectangle with a red background and another ellipse in blue. When you copy these two shapes and paste it into a new document both shapes become Sky Tango Blue, the default.
Comment 1 Regina Henschel 2018-02-05 20:29:44 UTC
The insert button has the items "Draw 8" and "Drawing Format". The item "Drawing Format" does a burn in of the styles and works as expected for me, using Version: 6.1.0.0.alpha0+ (x64)
Build ID: facfc2951ea9f4745edd4a6fb1cf97697f33f40a
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2018-01-14_00:42:04
Locale: de-DE (de_DE); Calc: CL

The behavior of item "Draw 8" depends on module.
In Writer and Calc it will insert an OLE object. This has the needed styles included and therefore the appearance of the shapes is correct.

In Impress and Draw it inserts the objects themselves, having still the reference to the styles. Because the new documents do not have defined the styles, the default style is used as fall back.

Workaround: Insert the slide/page, which contains the shapes, via "Insert Page from File" or "Insert Slide from File" respectively, or via copy&paste via slide sorter or slides pane. After you have copied the styles this way, pasting via "Draw 8" will apply the styles correctly.

The option to copy styles using the template manager has been removed and no ersatz exists. The "Load Style" dialog is not available in Draw/Impress. I do not know other workarounds to copy styles separately.

Copying shapes together with their styles between Draw and Impress does not work. This problem has been reported earlier in bug 41436. The additional problem mentioned there, that copying slides loose the styles, is solved in the mean time. Heiko, please read that bug and decide which one to close.
Comment 2 Heiko Tietze 2018-02-06 13:20:26 UTC
Drawing format works on the attached minimum example but not for the scene in our branding https://wiki.documentfoundation.org/File:Libo6-Branding.zip
Comment 3 Buovjaga 2018-03-02 16:43:38 UTC
(In reply to Heiko Tietze from comment #2)
> Drawing format works on the attached minimum example but not for the scene
> in our branding https://wiki.documentfoundation.org/File:Libo6-Branding.zip

Which .fodg file should I test with?
Comment 4 Heiko Tietze 2018-03-02 21:45:13 UTC
(In reply to Buovjaga from comment #3)
> Which .fodg file should I test with?

The attached minimal example or the cubes from intro.fodg on layer "Layout".
Comment 5 Buovjaga 2018-03-04 17:40:50 UTC
(In reply to Heiko Tietze from comment #4)
> (In reply to Buovjaga from comment #3)
> > Which .fodg file should I test with?
> 
> The attached minimal example or the cubes from intro.fodg on layer "Layout".

Ok, I confirm when pasted as Drawing to a new Draw document. I wonder if it's some specialty regarding 3D effects?

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 13164cc99dc6184fb2c12e56e9c0dea0d5692eec
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 4th 2018
Comment 6 QA Administrators 2019-03-05 03:38:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug